<?php
require_once 'application/class/class_ManageSession.php';

// Tableau global utilisé pour les traductions : celui-ci doit être appelé en premier

/**
 * Affichage de la liste des secteurs d'imputation
 */
$flg_popup = true;

// si on est en mode HTML, on charge l'entête.
$isHttp = (GetValue('THROUGH') == 'TRUE');
if (! isset($flg_popup))
    $flg_popup == false;

// On recupère ici le type d'objet sur lequel on appelle la liste ainsi que la valeur de filtre
// Ex : si on souhaite la liste des SI de la STE : 001 alors $_GET['item'] = SI et $_GET['value']=001
if ($_GET['child_itemSelected']) {
    $_SESSION['child_type_item_popup'] = $_GET['child_itemSelected'];
    $_SESSION['child_value_item_popup'] = $_GET['child_valueSelected'];
}

// Selon le type d'item appelé on exécute la requete correspondante
switch ($_SESSION['child_type_item_popup']) {
    
    case 'br_detail_cde':
        
        $fichier_xsl = 'application/xsl/CDE_detail.xsl';
        $sql = SqlCde::getInfoOnLigneCDE($_SESSION['child_value_item_popup'])->TexteSqlTraduit();
        $brwListe = new NewBrowse('BrwListe', 'NO_CDE', 'NO_PO', 'CODE_ART', 'DES_SOMM', 'QTE_COMM', 'PU', 'DEVISE', 'DATE_LIVR_PR');
        $brwListe->ElementUnique[0] = 'NO_CDE';
        $brwListe->EntColonne('NO_CDE', 'NO_PO', 'CODE_ART', 'DES_SOMM', 'QTE_COMM', 'PU', 'DEVISE', 'DATE_LIVR_PR');
        $titre = Trad('Détail de la commande');
        $array['onclickCDE'] = array(
            '!value' => 'me().opener.opener.document.form_br.no_cde.value = this.id ; parent.closePopup(\'win_pop\'); window.closePopup();'
        );
        break;
}

$nb_ligne = 10;

$brwListe->appel_prg(NomFile(__FILE__));
$brwListe->flg_titre = true;
$brwListe->flg_rech = true;
$brwListe->flg_nbr = false;
$brwListe->AffEntete = true;
$brwListe->NbLig = $nb_ligne;
$brwListe->onClick = true;
$brwListe->form = 'frm_recherche';

if ($isHttp) {
    $obj_xml = new GenXslt();
    
    switch (GetValue('MODE')) {
        // Mode appserveur
        case 'httpreq': // mode reponse sur les updates
            $object = GetValue('OBJECT');
            $form_parent = GetValue('form_parent');
            $champ = GetValue('champ');
            $prg_appel = GetValue('prg_appel');
            
            if (strpos($object, 'rUser_') === 0) {
                $code_retour = getValue($object);
                
                $rep = "me().opener.document.{$form_parent}.{$champ}.value = '{$code_retour}';" . "me().opener.Traite('{$prg_appel}?action={$action}',me().opener.document.{$form_parent}.{$champ});" . 'window.closePopup();';
                echo $rep;
            } else {
                $brwListe->AffBrowse('', $sql, DB_OXASQLDB);
                $array['browse'][$brwListe->NomBrowse()] = & $brwListe->xml_gen;
                
                foreach ($array['browse']['BrwListe']['body']['static']['ligne'] as &$ligne)
                    $ligne['DATE_LIVR_PR']['!texte'] = convertDateSqlToFr($ligne['DATE_LIVR_PR']['!texte']);
                
                $obj_xml->XslHtml($fichier_xsl, $array);
                $obj_xml->echoHtml('brw_' . $brwListe->NomBrowse());
            }
            break;
        
        case 'brw_' . $brwListe->NomBrowse():
            
            $brwListe->AffBrowse('', $sql, DB_OXASQLDB);
            $array['browse'][$brwListe->NomBrowse()] = & $brwListe->xml_gen;
            
            foreach ($array['browse']['BrwListe']['body']['static']['ligne'] as &$ligne)
                $ligne['DATE_LIVR_PR']['!texte'] = convertDateSqlToFr($ligne['DATE_LIVR_PR']['!texte']);
            
            $obj_xml->XslHtml($fichier_xsl, $array);
            $obj_xml->echoHtml('brw_' . $brwListe->NomBrowse());
            break;
        default:
            break;
    }
} else {
    $obj_xml = new GenXslt(true);
    if ($_SERVER['REQUEST_METHOD'] == 'GET') {
        $brwListe->AffBrowse('', $sql, DB_OXASQLDB);
        $array['browse'][$brwListe->NomBrowse()] = & $brwListe->xml_gen;
        
        foreach ($array['browse']['BrwListe']['body']['static']['ligne'] as &$ligne)
            $ligne['DATE_LIVR_PR']['!texte'] = convertDateSqlToFr($ligne['DATE_LIVR_PR']['!texte']);
    }
    
    $array['fenetre'] = array(
        '!form' => 'frm_popup',
        '!form_parent' => getValue('form_parent'),
        '!prg_appel' => getValue('prg_appel'),
        '!champ' => getValue('champ'),
        '!titre' => $titre,
        '!num_lig' => getValue('num_lig'),
        '!onclick' => "Traite('" . NomFile(__FILE__) . "',document.frm_recherche.cod_rech);"
    );
    
    echo $obj_xml->XslHtml($fichier_xsl, $array);
}

$connecteur->disconnect();
exit();